@use "../../../styles/colors";
@use "../../../styles/defaults";

.illustration-image-wrapper {
  position: relative;
}

.image-left {
  margin-left: defaults.$padding-left;
}

.background {
  position: absolute;
  display: block;
  background-color: colors.$primary-blue;
  z-index: -1;
}

.right-to-left {
  width: 73%;
  height: 77%;
  border-top-left-radius: 50%;
  border-bottom-left-radius: 50%;
  bottom: -2rem;
  right: 0;
}

.left-to-right {
  width: 88%;
  height: 98%;
  border-top-right-radius: 30%;
  border-bottom-right-radius: 30%;
  bottom: -4rem;
  left: 0;
}

@media (min-width: 769px) and(max-width: 1050px) {
  .hero-image {
    width: 98%;
  }
  .right-to-left {
    width: 80%;
    height: 75%;
    bottom: 0;
    border-top-left-radius: 35%;
    border-bottom-left-radius: 35%;
  }
  .image-right {
    margin-left: 0.4rem;
  }
  .left-to-right {
    width: 80%;
    height: 98%;
    bottom: -1.8rem;
  }
  .image-left {
    margin-left: 1.8rem;
    margin-right: 1.2rem;
  }
}

@media (max-width: defaults.$mobile-width) {
  .hero-image {
    width: 98%;
  }
  .right-to-left {
    width: 80%;
    height: 75%;
    bottom: 0;
    border-top-left-radius: 35%;
    border-bottom-left-radius: 35%;
  }
  .image-right {
    margin-left: 0.4rem;
  }
  .left-to-right {
    width: 80%;
    height: 98%;
    bottom: -1.8rem;
  }
  .image-left {
    margin-left: 1.8rem;
    margin-right: 1.2rem;
  }
}
